LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
osl::ThreadData Class Reference

`#include <thread.hxx>`

## Public Member Functions
| ThreadData (oslThreadKeyCallbackFunction pCallback=0)
| Create a thread specific local data key. More...
| ~ThreadData ()
| Destroy a thread specific local data key. More...
sal_Bool | setData (void *pData)
| Set the data associated with the data key. More...
void * | getData ()
| Get the data associated with the data key. More...
| operator oslThreadKey () const

## Constructor & Destructor Documentation

osl::ThreadData::ThreadData | ( | oslThreadKeyCallbackFunction | pCallback = `0` | ) |
| inline

Create a thread specific local data key.

osl::ThreadData::~ThreadData | ( |  | ) |
| inline

Destroy a thread specific local data key.

## Member Function Documentation

void* osl::ThreadData::getData | ( |  | ) |
| inline

Get the data associated with the data key.

Returns
  The data asscoitaed with the data key or NULL if no data was set

osl::ThreadData::operator oslThreadKey | ( |  | ) | const
| inline

sal_Bool osl::ThreadData::setData | ( | void * | pData | ) |
| inline

Set the data associated with the data key.

Returns
  True if operation was successful

The documentation for this class was generated from the following file:

- osl/thread.hxx